import { Request, Response } from "express";

import { AppDataSource } from "../data-source";
import { Post } from "../entity/Post";

class PostController {
    async create(req: Request, res: Response): Promise<void> {
        const post = res.locals.post;
        AppDataSource.manager.save(post);

        res.status(200).send("Ok");
    }

    async update(req: Request, res: Response): Promise<void> {
        const { postId } = req.params;

        const post = res.locals.post;
        AppDataSource.manager.update(Post, { id: postId }, post);

        res.status(200).send("Ok");
    }

    async delete(req: Request, res: Response): Promise<void> {
        const { postId } = req.params;

        AppDataSource.manager.delete(Post, { id: postId });

        res.status(200).send("Ok");
    }
}

export default new PostController();