import { Entity, PrimaryGeneratedColumn, Column, ManyToOne, JoinColumn } from "typeorm"
import { User } from "./User"

@Entity()
export class Post {

    @PrimaryGeneratedColumn()
    id: number

    @Column({ nullable: true, type: "integer" })
    authorId: number

    @ManyToOne((type) => User)
    @JoinColumn()
    author: User

    @Column("timestamp")
    date: string

    @Column("smallint")
    type: number

    @Column("text")
    message: string
}
